"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isRDSModel = exports.getPrimaryKeyFields = void 0;
const types_1 = require("../types");
const getPrimaryKeyFields = (type) => {
    var _a, _b, _c, _d;
    const primaryKeyField = (_a = type.fields) === null || _a === void 0 ? void 0 : _a.find((f) => { var _a; return (_a = f.directives) === null || _a === void 0 ? void 0 : _a.some((d) => d.name.value === 'primaryKey'); });
    if (!primaryKeyField) {
        return ['id'];
    }
    const primaryKeyDirective = (_b = primaryKeyField === null || primaryKeyField === void 0 ? void 0 : primaryKeyField.directives) === null || _b === void 0 ? void 0 : _b.find((d) => d.name.value === 'primaryKey');
    const result = [primaryKeyField.name.value];
    const sortKeys = (_d = (_c = primaryKeyDirective === null || primaryKeyDirective === void 0 ? void 0 : primaryKeyDirective.arguments) === null || _c === void 0 ? void 0 : _c.find((a) => a.name.value === 'sortKeyFields')) === null || _d === void 0 ? void 0 : _d.value;
    if (sortKeys) {
        result.push(...sortKeys.values.map((v) => v.value));
    }
    return result;
};
exports.getPrimaryKeyFields = getPrimaryKeyFields;
const isRDSModel = (context, modelName) => {
    var _a;
    if (context.modelToDatasourceMap && context.modelToDatasourceMap.get(modelName)) {
        return ((_a = context.modelToDatasourceMap.get(modelName)) === null || _a === void 0 ? void 0 : _a.dbType) === types_1.MYSQL_DB_TYPE;
    }
};
exports.isRDSModel = isRDSModel;
//# sourceMappingURL=model-util.js.map